> ## Documentation Index
> Fetch the complete documentation index at: https://fdocs.info/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Post's Reaction

> - Get reactions of a post. 

 - 1 credit per call.



## OpenAPI

````yaml GET /get-post-reactions
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://web-scraping-api2.p.rapidapi.com
security:
  - ApiKeyAuth: []
paths:
  /get-post-reactions:
    get:
      description: |-
        - Get reactions of a post. 

         - 1 credit per call.
      parameters:
        - name: urn
          in: query
          description: The URN of the post. Either urn or share_urn is required.
          required: false
          schema:
            type: string
        - name: share_urn
          in: query
          description: The share URN of the post. Can be used as an alternative to urn.
          required: false
          schema:
            type: string
        - name: type
          in: query
          required: false
          schema:
            type: string
            enum:
              - ALL
              - LIKE
              - EMPATHY
              - APPRECIATION
              - INTEREST
              - PRAISE
            example: ALL
          description: ''
        - name: page
          in: query
          required: false
          description: ''
          schema:
            type: integer
          example: 0
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PostReactions'
        '400':
          description: Invalid urn
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidURN'
        '404':
          description: Post not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProfileNotFound'
        '503':
          description: Profile not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SystemError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    PostReactions:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              following_state:
                type: string
                nullable: true
                example: null
              reactor:
                type: object
                properties:
                  headline:
                    type: string
                    example: >-
                      A research Engineer at aeronautics company working with
                      multi scale simulations (from FEM through Dislocation
                      dynamics down to Quantum mechanics) as well as thinking
                      with innovative ideas
                  linkedin_url:
                    type: string
                    format: uri
                    example: >-
                      https://www.linkedin.com/in/ACoAABQcMlMBXO-SUcqXCk2C5PBvpUWJ53ejdVY
                  name:
                    type: string
                    example: Hyung-Jun Chang
                  urn:
                    type: string
                    example: ACoAABQcMlMBXO-SUcqXCk2C5PBvpUWJ53ejdVY
                required:
                  - headline
                  - linkedin_url
                  - name
                  - urn
              type:
                type: string
                example: LIKE
            required:
              - reactor
              - type
        message:
          type: string
          example: ok
        total:
          type: integer
          example: 74
      required:
        - data
        - message
        - total
    InvalidURN:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: 'Bad request: Invalid URN.'
    ProfileNotFound:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: The url was not found on Linkedin.
    SystemError:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: System error. We will fix it soon!
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key

````